-2

I'm looking for a way to remove .Net on multiple machines as I need to install 4.5.2 using either powershell or PDQ Deploy. I can't seem to find a definitive answer. Everything seems to point to a manual uninstall.

Any help greatly appreciated.

  • @Ramhound looking to install a sage program that is only supported up to .NET 4.6 ideally 4.5.2 this will be going company wide – David Golding Dec 5 '17 at 16:45
1

I'm looking for a way to remove .Net on multiple machines as I need to install 4.5.2 using either powershell or PDQ Deploy. I can't seem to find a definitive answer. Everything seems to point to a manual uninstall.

What you want is not possible. It is not possible to remove .NET Framework 4.7.1 from Windows 10 Version 1709. If you are running Windows 10 Version 1703 then it is possible to uninstall .NET Framework 4.7.1 which would leave you with .NET Framework 4.7.0 which cannot be uninstalled.

looking to install a sage program that is only supported up to .NET 4.6 ideally 4.5.2 this will be going company wide

Any version of Windows 10 can run a program that has been targeted to .NET Framework 4.5.2. Windows 10 Version 1607 comes with .NET Framework 4.6.2 built-in. Any version below and including Version 1511 can install .NET Framework 4.6.2

Additionally,

For example, .NET Framework 4.7 can be used to run applications built for the .NET Framework 4.0 through 4.7. The latest version (the .NET Framework 4.7.1) can be used to run applications built will all versions of the .NET Framework starting with 4.0.

Install the .NET Framework for developers

Due to the fact 4.x versions of the .NET Framework are in-place upgrades the following statement is true. So you will be unable to install .NET Framework 4.5.2 on any version of Windows 10 or .NET Framework 4.6.2 on Windows 10 Version 1607+.

Because the 4.x versions of the .NET Framework are in-place updates, you cannot install an earlier version of the .NET Framework 4.x on a system that already has a later version installed. For example, on a system with Windows 10 Fall Creators Update, you cannot install the .NET Framework 4.6.2, since the .NET Framework 4.7.1 is preinstalled with the operating system.

Troubleshoot blocked .NET Framework installations and uninstallations

The application you want to run will work on Windows 10 Version 1709 without any configuration change. Due to the fact you are using a version of Windows, that has a newer version of .NET Framework built-in, you will be unable to install a older version of .NET Framework

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.